GET api/CareOnsiteClinic/GetStaffForOnsiteLocation?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfOnSiteWebUserDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of OnSiteWebUserDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"LastName": "sample string 2",
"FirstName": "sample string 3",
"MiddleName": "sample string 4",
"UserId": 5,
"CareOnSiteLocationId": 1,
"ValidFlag": true,
"RoleTitle": "sample string 7",
"FullName": "sample string 3 sample string 2",
"CosSubService": "sample string 8",
"COSSubServiceId": 9
},
{
"Id": 1,
"LastName": "sample string 2",
"FirstName": "sample string 3",
"MiddleName": "sample string 4",
"UserId": 5,
"CareOnSiteLocationId": 1,
"ValidFlag": true,
"RoleTitle": "sample string 7",
"FullName": "sample string 3 sample string 2",
"CosSubService": "sample string 8",
"COSSubServiceId": 9
}
],
"totalCount": 3
}